Package org.apache.qpid.proton.engine

# Interface SaslListener

public interface SaslListener
Listener for SASL frame arrival to facilitate relevant handling for the SASL negotiation. See the AMQP specification SASL negotiation process overview for related detail.

## Method Summary

Modifier and Type
Method
Description
`void`
`onSaslChallenge(Sasl sasl, Transport transport)`
Called when a sasl-challenge frame has arrived and its effect applied, indicating the challenge sent by the 'server' peer.
`void`
`onSaslInit(Sasl sasl, Transport transport)`
Called when a sasl-init frame has arrived and its effect applied, indicating the selected mechanism and any hostname and initial-response details from the 'client' peer.
`void`
`onSaslMechanisms(Sasl sasl, Transport transport)`
Called when a sasl-mechanisms frame has arrived and its effect applied, indicating the offered mechanisms sent by the 'server' peer.
`void`
`onSaslOutcome(Sasl sasl, Transport transport)`
Called when a sasl-outcome frame has arrived and its effect applied, indicating the outcome and any success additional-data sent by the 'server' peer.
`void`
`onSaslResponse(Sasl sasl, Transport transport)`
Called when a sasl-response frame has arrived and its effect applied, indicating the response sent by the 'client' peer.

## Method Details

### onSaslMechanisms

void onSaslMechanisms(Sasl sasl, Transport transport)
Called when a sasl-mechanisms frame has arrived and its effect applied, indicating the offered mechanisms sent by the 'server' peer.

Parameters:
  `sasl` - the Sasl object
  `transport` - the related transport

### onSaslInit

void onSaslInit(Sasl sasl, Transport transport)
Called when a sasl-init frame has arrived and its effect applied, indicating the selected mechanism and any hostname and initial-response details from the 'client' peer.

Parameters:
  `sasl` - the Sasl object
  `transport` - the related transport

### onSaslChallenge

void onSaslChallenge(Sasl sasl, Transport transport)
Called when a sasl-challenge frame has arrived and its effect applied, indicating the challenge sent by the 'server' peer.

Parameters:
  `sasl` - the Sasl object
  `transport` - the related transport

### onSaslResponse

void onSaslResponse(Sasl sasl, Transport transport)
Called when a sasl-response frame has arrived and its effect applied, indicating the response sent by the 'client' peer.

Parameters:
  `sasl` - the Sasl object
  `transport` - the related transport

### onSaslOutcome

void onSaslOutcome(Sasl sasl, Transport transport)
Called when a sasl-outcome frame has arrived and its effect applied, indicating the outcome and any success additional-data sent by the 'server' peer.

Parameters:
  `sasl` - the Sasl object
  `transport` - the related transport